#include "DxLib.h"
#include "PlayerMgr.h"
#include "Keyboard.h"

int WINAPI WinMain(HINSTANCE,HINSTANCE,LPSTR,int){
    ChangeWindowMode(TRUE),DxLib_Init(),SetDrawScreen( DX_SCREEN_BACK );

    PlayerMgr_Initialize();    //プレイヤー管理モジュール初期化

    while( ScreenFlip()==0 && ProcessMessage()==0 && ClearDrawScreen()==0 ){

        Keyboard_Update();    //キーボードの更新

        PlayerMgr_Update();    //プレイヤー管理モジュールの更新

        PlayerMgr_Draw();    //プレイヤー管理モジュールの描画

    }

    PlayerMgr_Finalize();    //プレイヤー管理モジュールの終了処理

    DxLib_End();
    return 0;
}
